{
    "pages": [
        {
            "path": "pages/login/login",
            "style": {
                "navigationStyle": "custom",
                "transparentTitle": "auto",
                "backgroundColor": "#FFFFFF",
                "enablePullDownRefresh": false,
                "app-plus": {
                    "titleNView": {}
                }
            }
        },
        {
            "path": "pages/shouye/shouye",
            "style": {
                "navigationBarTitleText": "",
                "navigationBarBackgroundColor": "#e6f5e8",
                "backgroundColorTop": "#e6f5e8",
                "backgroundColorBottom": "#e6f5e8",
                "enablePullDownRefresh": true,
                "app-plus": {
                    "titleNView": false,
                    "bounce": false
                }
            }
        },
        {
            "path": "pages/nongchang/nongchang",
            "style": {
                "navigationBarTitleText": "",
                "navigationBarBackgroundColor": "#e6f5e8",
                "backgroundColorTop": "#e6f5e8",
                "backgroundColorBottom": "#e6f5e8",
                "enablePullDownRefresh": true,
                "app-plus": {
                    "titleNView": false,
                    "bounce": false
                }
            }
        },
        {
            "path": "pages/nongzhi/nongzhi",
            "style": {
                "navigationBarTitleText": "",
                "navigationBarBackgroundColor": "#e6f5e8",
                "backgroundColorTop": "#e6f5e8",
                "backgroundColorBottom": "#e6f5e8",
                "enablePullDownRefresh": true,
                "app-plus": {
                    "titleNView": false,
                    "bounce": false
                }
            }
        },
        {
            "path": "pages/fuwu/fuwu",
            "style": {
                "navigationBarTitleText": "",
                "navigationBarBackgroundColor": "#e6f5e8",
                "backgroundColorTop": "#e6f5e8",
                "backgroundColorBottom": "#e6f5e8",
                "enablePullDownRefresh": true,
                "app-plus": {
                    "titleNView": false,
                    "bounce": false
                }
            }
        },
        {
            "path": "pages/wode/wode",
            "style": {
                "navigationBarTitleText": "",
                "navigationBarBackgroundColor": "#e6f5e8",
                "backgroundColorTop": "#e6f5e8",
                "backgroundColorBottom": "#e6f5e8",
                "enablePullDownRefresh": true,
                "app-plus": {
                    "titleNView": false,
                    "bounce": false
                }
            }
        },
        {
            "path": "pages/mine/index",
            "style": {
                "navigationBarTitleText": "我的",
                "app-plus": {
                    "titleNView": false,
                    "bounce": false
                }
            }
        },
        {
            "path": "pages/mine/components/myMessage",
            "style": {
                "navigationBarTitleText": "个人资料",
                "enablePullDownRefresh": false,
                "navigationBarBackgroundColor": "#F8F8F8",
                "navigationBarTextStyle": "black",
                "backgroundColorBottom": "#F2F2F2",
                "app-plus": {
                    "titleNView": {}
                }
            }
        },
        // pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/index/index",
            "style": {
                "navigationBarTitleText": "Basic APP"
            }
        },
        // ================================ 通用页面分割线 ====================================
        // === 关于我们 ===
        {
            "path": "pages/common/about/index",
            "style": {
                "navigationBarTitleText": "关于我们"
            }
        },
        // === 问题反馈 ===
        {
            "path": "pages/common/feedback/index",
            "style": {
                "navigationBarTitleText": "问题反馈"
            }
        },
        // === Webview ===
        {
            "path": "pages/common/webview/index",
            "style": {
                "navigationBarTitleText": ""
            }
        },
        // === PDF 文件预览 ===
        {
            "path": "pages/common/viewer/pdf",
            "style": {
                "navigationBarTitleText": ""
            }
        },
        // === 空页面（开发中...） ===
        {
            "path": "pages/common/coding/coding",
            "style": {
                // #ifdef H5
                "titleNView": false,
                // #endif
                "navigationBarTitleText": "开发中"
            }
        },
        // === 版本更新 ===
        {
            "path": "uni_modules/uni-upgrade-center-app/pages/upgrade-popup",
            "style": {
                "app-plus": {
                    "animationDuration": 200,
                    "animationType": "fade-in",
                    "background": "transparent",
                    "backgroundColorTop": "transparent",
                    "popGesture": "none",
                    "scrollIndicator": false,
                    "titleNView": false,
                    "bounce": "none"
                },
                "disableScroll": true
            }
        },
        // === 应用全屏通知弹窗（场景：应用维护通知、用户通知公告等） ===
        {
            "path": "pages/common/notice/index",
            "style": {
                "navigationStyle": "custom",
                "backgroundColor": "transparent",
                "app-plus": {
                    "animationDuration": 200,
                    "animationType": "fade-in",
                    "background": "transparent",
                    "backgroundColorTop": "transparent",
                    "popGesture": "none",
                    "scrollIndicator": false,
                    "webviewBGTransparent": true,
                    "titleNView": false,
                    "bounce": "none"
                },
                "disableScroll": true
            }
        }
    ],
    "easycom": {
        "autoscan": true,
        "custom": {
            // https://doc.firstui.cn/docs/introduce.html
            "^fui-(.*)": "@/components/FirstUI/fui-$1/fui-$1.vue",
            // https://ext.dcloud.net.cn/plugin?id=55#detail
            "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
        }
    },
    "globalStyle": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "uni-app",
        "navigationBarBackgroundColor": "#F8F8F8",
        "backgroundColor": "#F8F8F8",
        "backgroundColorTop": "#F8F8F8",
        "backgroundColorBottom": "#F8F8F8",
        "pageOrientation": "portrait",
        "app-plus": {
            "scrollIndicator": "none",
            "titleNView": {
                "titleSize": "20"
            }
        }
    },
    "resizable": true,
    "tabBar": {
        "color": "#7A7E83",
        "selectedColor": "#5db66f",
        "borderStyle": "black",
        "backgroundColor": "#ffffff",
        "height": "60px",
        "fontSize": "10px",
        "iconWidth": "24px",
        "spacing": "6px",
        // "custom": true,
        "list": [
            {
                "pagePath": "pages/shouye/shouye",
                "iconPath": "static/images/codefun/home.png",
                "selectedIconPath": "static/images/codefun/home.active.png",
                "text": "首页"
            },
            {
                "pagePath": "pages/nongchang/nongchang",
                "iconPath": "static/images/codefun/nongchang.png",
                "selectedIconPath": "static/images/codefun/nongchang.active.png",
                "text": "农场"
            },
            {
                "pagePath": "pages/fuwu/fuwu",
                "iconPath": "static/images/codefun/fuwu.png",
                "selectedIconPath": "static/images/codefun/fuwu.active.png",
                "text": "服务"
            },
            {
                "pagePath": "pages/nongzhi/nongzhi",
                "iconPath": "static/images/codefun/nongzhi.png",
                "selectedIconPath": "static/images/codefun/nongzhi.active.png",
                "text": "农知"
            },
            {
                "pagePath": "pages/mine/index",
                "iconPath": "static/images/codefun/me.png",
                "selectedIconPath": "static/images/codefun/me.active.png",
                "text": "我的"
            }
        ]
    }
}
